// $Id: RawPacketListener.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.capture;

import java.util.EventListener;
import net.sourceforge.jpcap.net.RawPacket;


/**
 * Raw packet data listener.
 * <p>
 * Applications interested in listening for raw packet data must register
 * with PacketCapture and implement RawPacketDataListener.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/18 05:34:36 $
 */
public interface RawPacketListener extends EventListener
{
  void rawPacketArrived(RawPacket rawPacket);
}
